Name:           arduino
Version:        1.8.5
Release:        %mkrel 1
Summary:        Arduino is an open-source electronics prototyping platform
License:        GPL2
Group:          Development/Tools
URL:            http://www.arduino.cc
Source0:        Arduino-%{version}.tar.xz
Source2:        arduino_dialog_functions.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	tar unzip ant git java-1.8.0-sun-devel
Requires:		java-1.8.0-sun zenity avr-binutils avr-gcc avr-libc avr-gcc-c++


%description
The open-source Arduino Software (IDE) makes it easy to write code and upload it to the board. The environment is written in Java and based on Processing and other open-source software.

%prep
%setup -q -n Arduino-%{version}

%build
cd build
ant -projecthelp
echo | ant dist

%install
rm -rf %{buildroot}
# Untar in buildroot
%__install -dm 755 %{buildroot}%{_datadir}
tar -C %{buildroot}%{_datadir} -xvf build/linux/arduino-1.8.5-linux32.tar.xz 



%__install -dm 755 %{buildroot}%{_bindir}
# Wrap scripts. Check for group membership (in uucp) at runtime
%__cat > %{buildroot}%{_bindir}/%{name} << EOF
#!/bin/sh
# Originally developed by
# Mario Limonciello, March 2007 for MythTV

# Edited for arduino by Martin Bantz, Dec. 2009

#source our dialog functions
. %{_datadir}/%{name}-%{version}/dialog_functions.sh

#find the session, dialog and su manager we will be using for display
find_session
find_dialog
find_su

#check that we are in the uucp group
check_groups

#if group membership is okay, go ahead and continue
if [ "\$IGNORE_NOT" = "0" ]; then
cd %{_datadir}/%{name}-%{version}
sh %{name}
fi
EOF

cp %{SOURCE2} %{buildroot}%{_datadir}/%{name}-%{version}/dialog_functions.sh

# Icon
mkdir -p %{buildroot}%{_iconsdir}
cp %{buildroot}%{_datadir}/%{name}-%{version}/lib/arduino.png %{buildroot}%{_iconsdir}

chmod +x %{buildroot}%{_bindir}/%{name}
chmod +x %{buildroot}%{_datadir}/%{name}-%{version}/dialog_functions.sh


# menu-entry
%__install -dm 755 %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Arduino
Type=Application
Exec=%{_bindir}/%{name}
Icon=arduino.png
MimeType=text/x-arduino
Comment=%{summary}
Comment[da]=Arduino er en open-source elektronik prototype udviklingsplatform
Categories=Development;X-MandrivaLinux-MoreApplications-Development-Tools 
EOF

%clean
rm -rf %{buildroot}

%post
update-desktop-database

%postun
update-desktop-database

%files
%doc license.txt README.md
%defattr(-,root,root)
%{_bindir}
%{_datadir}   

%changelog
* Thu Oct 04 2018 adrianomorselli <adrianomorselli> 1.8.5-1uplos2018
- update

* Mon Feb 13 2017 adrianomorselli <adrianomorselli> 1.8.0-1uplos2017
- update
- removed old stuff
